package dp.kotul.bamboospecsapplication.configuration;

public class PlanConfiguration {
    private String name;
    private String key;
    private String description;

    private String linkedRepositoryName;

    private StageConfiguration stage;

    public PlanConfiguration(String name, String key, String description, String linkedRepositoryName, StageConfiguration stage) {
        this.name = name;
        this.key = key;
        this.description = description;
        this.linkedRepositoryName = linkedRepositoryName;
        this.stage = stage;
    }

    public PlanConfiguration() {
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getKey() {
        return key;
    }

    public void setKey(String key) {
        this.key = key;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getLinkedRepositoryName() {
        return linkedRepositoryName;
    }

    public void setLinkedRepositoryName(String linkedRepositoryName) {
        this.linkedRepositoryName = linkedRepositoryName;
    }

    public StageConfiguration getStage() {
        return stage;
    }

    public void setStage(StageConfiguration stage) {
        this.stage = stage;
    }
}
